Skip to main content
GET
/
v2
/
{appId}
/
subscribers
Get App Subscribers
curl --request GET \
  --url https://alerts-api.dial.to/v2/{appId}/subscribers \
  --header 'x-dialect-api-key: <api-key>'
import requests

url = "https://alerts-api.dial.to/v2/{appId}/subscribers"

headers = {"x-dialect-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-dialect-api-key': '<api-key>'}};

fetch('https://alerts-api.dial.to/v2/{appId}/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscribers": [
    {
      "walletAddress": "6CxnSjtasq5Tzwb4b93AhLofXtiDvMpQ2vTkWdSZqTH7"
    }
  ],
  "offset": 0,
  "limit": 100,
  "count": 150
}
{
"error": {}
}

Authorizations

x-dialect-api-key
string
header
required

API key to authorize app-level requests

Path Parameters

appId
string<uuid>
required

Application ID

Example:

"255d6163-7e25-43e9-a188-c2f8d0980a4a"

Query Parameters

offset
number
default:0

Pagination offset

Required range: x >= 0
Example:

10

limit
number
default:100

Pagination limit

Required range: 1 <= x <= 1000
Example:

100

walletAddress

Single wallet address to filter by

Example:

"6CxnSjtasq5Tzwb4b93AhLofXtiDvMpQ2vTkWdSZqTH7"

Response

List of subscribers

subscribers
object[]
required
offset
number
required

Current pagination offset

Example:

0

limit
number
required

Current pagination limit

Example:

100

count
number
required

Total count of subscribers

Example:

150